import { main } from '@/api'
import request from '@/utils/require'

export function selectList(data) {
    return request({
        url: `${main}/client/invAdj/selectList?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
        method: 'post',
        data
    })
}

export function selectInvAdjSummary(data) {
    return request({
        url: `${main}/client/invAdj/selectInvAdjSummary?sskd=${data}`,
        method: 'post',
    })
}

export function save(data) {
    return request({
        url: `${main}/client/invAdj/save`,
        method: 'post',
        data
    })
}

//更新接口
export function update(data) {
    return request({
        url: `${main}/client/invAdj/update`,
        method: 'post',
        data
    })
}

//详情接口
export function selectDetail(data) {
    return request({
        url: `${main}/client/invAdj/selectDetail`,
        method: 'post',
        data
    })
}
//库存年度更新接口
export function updateKcnd(data) {
    return request({
        url: `${main}/client/invAdj/updateKcnd`,
        method: 'post',
        data
    })
}

//库存年度详情接口
export function selectKcndDetail(data) {
    return request({
        url: `${main}/client/invAdj/selectKcndDetail`,
        method: 'post',
        data
    })
}
